"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _AppPropTypes = _interopRequireDefault(require("../../utils/AppPropTypes"));

var _checkmark = _interopRequireDefault(require("./checkmark.png"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var InternalCheckRadio = function InternalCheckRadio(props) {
  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      hasFocus = _useState2[0],
      setHasFocus = _useState2[1];

  var onFocus = function onFocus() {
    return setHasFocus(true);
  };

  var onBlur = function onBlur() {
    return setHasFocus(false);
  };

  var type = props.toggle ? 'checkbox' : props.type || (props.multiple ? 'checkbox' : 'radio');
  var label = props.label || props.title;
  var className = props.className + ' ' + (hasFocus ? 'focus' : '');
  return _react.default.createElement("label", {
    className: className,
    key: props.value
  }, _react.default.createElement("input", {
    type: type,
    name: props.name,
    value: props.value,
    onChange: props.onChange,
    disabled: props.disabled,
    onFocus: onFocus,
    onBlur: onBlur,
    checked: props.checked
  }), _react.default.createElement("div", {
    className: "check-radio-display"
  }, _react.default.createElement("img", {
    src: props.imgSrc,
    alt: "remove"
  })), label);
};

InternalCheckRadio.defaultProps = {
  imgSrc: _checkmark.default
};
InternalCheckRadio.propTypes = _objectSpread({
  name: _propTypes.default.string.isRequired,
  checked: _propTypes.default.bool.isRequired,
  disabled: _propTypes.default.bool.isRequired,
  toggle: _propTypes.default.bool.isRequired,
  value: _propTypes.default.string.isRequired,
  imgSrc: _propTypes.default.string,
  onChange: _propTypes.default.func.isRequired,
  multiple: _propTypes.default.bool,
  type: _propTypes.default.string,
  label: _propTypes.default.string,
  title: _propTypes.default.string
}, _AppPropTypes.default.styles);
var _default = InternalCheckRadio;
exports.default = _default;