"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _enzymeToJson = _interopRequireDefault(require("enzyme-to-json"));

var _mocks = require("../../mocks");

var _Search = _interopRequireDefault(require("./Search"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var placeholder = 'Placeholder';
var onChange = jest.fn();
var onClick = jest.fn();
var onKeyDown = jest.fn();
it('renders', function () {
  var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Search.default, _extends({}, _mocks.mockStyles, {
    placeholder: placeholder,
    onChange: onChange,
    onKeyDown: onKeyDown,
    hide: false,
    className: "test"
  })));
  expect((0, _enzymeToJson.default)(wrapper)).toMatchSnapshot();
});
it('renders disabled', function () {
  var styles = _objectSpread({}, _mocks.mockStyles, {
    styles_disabled: true
  });

  var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Search.default, _extends({}, styles, {
    placeholder: placeholder,
    onChange: onChange,
    onKeyDown: onKeyDown,
    hide: false,
    className: "test"
  })));
  expect((0, _enzymeToJson.default)(wrapper)).toMatchSnapshot();
});
it('renders searchText', function () {
  var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Search.default, _extends({}, _mocks.mockStyles, {
    placeholder: placeholder,
    onChange: onChange,
    onKeyDown: onKeyDown,
    hide: false,
    className: "test",
    searchText: "search text"
  })));
  expect((0, _enzymeToJson.default)(wrapper)).toMatchSnapshot();
});
it('renders hidden', function () {
  var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Search.default, _extends({}, _mocks.mockStyles, {
    placeholder: placeholder,
    onChange: onChange,
    onKeyDown: onKeyDown,
    hide: true,
    className: "test"
  })));
  expect((0, _enzymeToJson.default)(wrapper)).toMatchSnapshot();
});
it('forwards ref', function () {
  var ref = _react.default.createRef();

  var wrapper = (0, _enzyme.mount)(_react.default.createElement(_Search.default, _extends({}, _mocks.mockStyles, {
    placeholder: placeholder,
    onChange: onChange,
    onKeyDown: onKeyDown,
    hide: false,
    ref: ref
  })));
  expect(ref.current).toBeDefined();
});
it('should click', function () {
  var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Search.default, _extends({}, _mocks.mockStyles, {
    placeholder: placeholder,
    onChange: onChange,
    onKeyDown: onKeyDown,
    hide: false,
    onClick: onClick
  })));
  wrapper.find('input').simulate('mouseDown');
  expect(onClick).toBeCalled();
});
it('should keyDown', function () {
  var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Search.default, _extends({}, _mocks.mockStyles, {
    placeholder: placeholder,
    onChange: onChange,
    onKeyDown: onKeyDown,
    hide: false
  })));
  wrapper.find('input').simulate('keyDown');
  expect(onKeyDown).toBeCalled();
});
it('should change', function () {
  var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Search.default, _extends({}, _mocks.mockStyles, {
    placeholder: placeholder,
    onChange: onChange,
    onKeyDown: onKeyDown,
    hide: false
  })));
  wrapper.find('input').simulate('change');
  expect(onChange).toBeCalled();
});