"use strict";

var _react = _interopRequireWildcard(require("react"));

var _react2 = require("@storybook/react");

var _addonActions = require("@storybook/addon-actions");

var _mocks = require("../../mocks");

var _defaultProps = _interopRequireDefault(require("../../utils/defaultProps"));

var _Select = _interopRequireDefault(require("./Select"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var options = [{
  value: '1',
  label: 'Option 1'
}, {
  value: '2',
  label: 'Option 2'
}, {
  value: '3',
  label: 'Pickle'
}, {
  value: '4',
  label: 'Pick'
}, {
  value: '5',
  label: 'a Pickle'
}, {
  value: '6',
  label: 'Pi'
}, {
  value: '7',
  label: 'a Pie'
}, {
  value: '8',
  label: 'a Pie is nice'
}, {
  value: '9',
  label: 'Pie'
}, {
  value: '10',
  label: 'a Pickle is not Pie'
}];

var State = function State() {
  var _useState = (0, _react.useState)([]),
      _useState2 = _slicedToArray(_useState, 2),
      selectionMultipleCreate = _useState2[0],
      setSelectionMultipleCreate = _useState2[1];

  return _react.default.createElement(_Select.default, {
    selection: selectionMultipleCreate,
    onFocus: (0, _addonActions.action)('onFocus'),
    onBlur: (0, _addonActions.action)('onBlur'),
    onChange: function onChange(e) {
      return setSelectionMultipleCreate(e.target.value);
    },
    options: options,
    creatable: true,
    multiple: true
  });
};

(0, _react2.storiesOf)('Select', module).add('Multi Select Creatable', function () {
  return _react.default.createElement(State, null);
});