"use strict";

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _addonActions = require("@storybook/addon-actions");

var _mocks = require("../../mocks");

var _defaultProps = _interopRequireDefault(require("../../utils/defaultProps"));

var _styledComponents = require("../styledComponents/styledComponents");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var selectionList = _react.default.createElement(_styledComponents.SelectionList, _extends({
  itemList: _defaultProps.default.selection,
  onClick: (0, _addonActions.action)('onRemove'),
  removable: !_defaultProps.default.disabled && _defaultProps.default.removable,
  Item: _styledComponents.Selection
}, _mocks.mockStyles));

var search = _react.default.createElement(_styledComponents.Search, _extends({
  hide: false,
  placeholder: _defaultProps.default.placeholder,
  searchText: '',
  onKeyDown: (0, _addonActions.action)('onKeyDown'),
  onChange: (0, _addonActions.action)('onChange')
}, _mocks.mockStyles));

(0, _react2.storiesOf)('(Internal) SelectionWrapper', module).add('closed', function () {
  return _react.default.createElement(_styledComponents.SelectionWrapper, _extends({
    onFocus: (0, _addonActions.action)('onFocus'),
    onBlur: (0, _addonActions.action)('onBlur')
  }, _mocks.mockStyles, {
    areOptionsOpen: false,
    SelectionList: selectionList,
    Search: search
  }));
});
(0, _react2.storiesOf)('(Internal) SelectionWrapper', module).add('open', function () {
  return _react.default.createElement(_styledComponents.SelectionWrapper, _extends({
    onFocus: (0, _addonActions.action)('onFocus'),
    onBlur: (0, _addonActions.action)('onBlur')
  }, _mocks.mockStyles, {
    areOptionsOpen: true,
    SelectionList: selectionList,
    Search: search
  }));
});

var styles = _objectSpread({}, _mocks.mockStyles, {
  styles_disabled: true
});

(0, _react2.storiesOf)('(Internal) SelectionWrapper', module).add('disabled', function () {
  return _react.default.createElement(_styledComponents.SelectionWrapper, _extends({
    onFocus: (0, _addonActions.action)('onFocus'),
    onBlur: (0, _addonActions.action)('onBlur')
  }, styles, {
    areOptionsOpen: false,
    SelectionList: _react.default.createElement(_styledComponents.SelectionList, _extends({
      itemList: _defaultProps.default.selection,
      onClick: (0, _addonActions.action)('onRemove'),
      removable: !_defaultProps.default.disabled && _defaultProps.default.removable,
      Item: _styledComponents.Selection
    }, styles)),
    Search: _react.default.createElement(_styledComponents.Search, _extends({
      placeholder: _defaultProps.default.placeholder,
      searchText: '',
      onKeyDown: (0, _addonActions.action)('onKeyDown'),
      onChange: (0, _addonActions.action)('onChange')
    }, styles))
  }));
});