"use strict";

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _enzymeToJson = _interopRequireDefault(require("enzyme-to-json"));

var _mocks = require("../../mocks");

var _SelectionWrapper = _interopRequireDefault(require("./SelectionWrapper"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var SelectionList = function SelectionList(props) {
  return _react.default.createElement("div", props);
};

var Input = function Input(props, ref) {
  return _react.default.createElement("input", _extends({}, props, {
    ref: ref
  }));
};

Input = _react.default.forwardRef(Input);
var onFocus = jest.fn();
var onBlur = jest.fn();
it('renders', function () {
  var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_SelectionWrapper.default, _extends({}, _mocks.mockStyles, {
    className: "test",
    areOptionsOpen: false,
    onFocus: onFocus,
    onBlur: onBlur,
    SelectionList: _mocks.MockElement,
    Search: _mocks.MockInput
  })));
  expect((0, _enzymeToJson.default)(wrapper)).toMatchSnapshot();
});
it('renders disabled', function () {
  var styles = _objectSpread({}, _mocks.mockStyles, {
    styles_disabled: true
  });

  var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_SelectionWrapper.default, _extends({}, styles, {
    className: "test",
    areOptionsOpen: false,
    onFocus: onFocus,
    onBlur: onBlur,
    SelectionList: _mocks.MockElement,
    Search: _mocks.MockInput
  })));
  expect((0, _enzymeToJson.default)(wrapper)).toMatchSnapshot();
}); // ref searchRef.current.blur() doesn't continue event propogation
// it('should close', (done) => {
//   const wrapper = mount(<SelectionWrapper
//     {...mockStyles}
//     className="test"
//     areOptionsOpen={true}
//     onFocus={onFocus}
//     onBlur={onBlur}
//     SelectionList={<SelectionList />}
//     Search={<Input />} />)
//
//   setTimeout(() => {
//     wrapper.find('input').simulate('click')
//     expect(onBlur).toBeCalled()
//     done()
//   })
// })