"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _HtmlFieldData = _interopRequireDefault(require("../components/HtmlFieldData/HtmlFieldData"));

var _AppendToBodyOptionsWrapper = _interopRequireDefault(require("../components/AppendToBodyOptionsWrapper/AppendToBodyOptionsWrapper"));

var _styledComponents = require("../components/styledComponents/styledComponents");

var _filterOptions = _interopRequireDefault(require("./filterOptions"));

var _massageData = _interopRequireDefault(require("./massageData"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var noop = function noop() {};

var defaultProps = {
  onChange: undefined,
  onBlur: noop,
  onFocus: noop,
  name: undefined,
  selection: [],
  options: [],
  placeholder: 'Select...',
  multiple: false,
  disabled: false,
  creatable: false,
  removable: true,
  appendToBody: false,
  rightToLeft: false,
  filterOptions: _filterOptions.default,
  massageData: _massageData.default,
  optionKeys: ['value', 'label'],
  checkRadioMaxCount: 10,
  text_placeholder: '',
  text_noOptions: 'No Options',
  text_create: 'Create',
  component_Select: undefined,
  component_CheckRadio: undefined,
  component_CheckBox: undefined,
  component_Radio: undefined,
  component_HtmlFieldData: _HtmlFieldData.default,
  component_Wrapper: _styledComponents.Wrapper,
  component_Selection: _styledComponents.Selection,
  component_SelectionList: _styledComponents.SelectionList,
  component_OptionList: _styledComponents.OptionList,
  component_Option: _styledComponents.Option,
  component_Search: _styledComponents.Search,
  component_SelectionWrapper: _styledComponents.SelectionWrapper,
  component_OptionWrapper: _styledComponents.OptionWrapper,
  component_AppendToBodyOptionsWrapper: _AppendToBodyOptionsWrapper.default,
  component_StyledAppendToBodyOptionsWrapper: _styledComponents.StyledAppendToBodyOptionsWrapper,
  styles_fontSize: '1em',
  styles_borderRadius: '.2em',
  styles_paddingTop: '.25em',
  styles_paddingBottom: '.25em',
  styles_paddingLeft: '.25em',
  styles_paddingRight: '.25em',
  styles_selection_paddingTop: '.1em',
  styles_selection_paddingBottom: '.1em',
  styles_selection_paddingLeft: '.2em',
  styles_selection_paddingRight: '.2em',
  styles_selection_margin: '.2em',
  styles_option_paddingTop: '.25em',
  styles_option_paddingBottom: '.25em',
  styles_option_paddingLeft: '.25em',
  styles_option_paddingRight: '.25em',
  styles_checkRadio_borderWidth: '2px',
  styles_checkRadio_marginBetween: '1em',
  styles_checkRadio_labelMargin: '.2em',
  styles_checkRadio_paddingTop: '.2em',
  styles_checkRadio_paddingBottom: '.2em',
  styles_checkRadio_paddingLeft: '.2em',
  styles_checkRadio_paddingRight: '.2em',
  styles_search_width: '10em',
  styles_icon_width: '1em',
  styles_colors_primary: 'black',
  styles_colors_secondary: '#C3C3C3',
  styles_colors_highlight: 'lightblue',
  styles_colors_warning: '#CD5C5C',
  styles_colors_disabled: '#ECECEC',
  styles_colors_background: 'white'
};
var _default = defaultProps;
exports.default = _default;