"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _essentialLodash = require("./essentialLodash");

var filterOptions = function filterOptions(searchTerm, selection, options) {
  var searchProps = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : ['label', 'value'];
  options = (0, _essentialLodash.without)(options, selection);
  if ((0, _essentialLodash.isEmpty)(searchTerm)) return options;
  searchTerm = searchTerm.toLowerCase();
  options = options.filter(function (item) {
    return item.label.toLowerCase().includes(searchTerm) || item.value.toLowerCase() === searchTerm;
  });
  options = (0, _essentialLodash.sortBy)(options, [function (item) {
    return item.label.toLowerCase() === searchTerm;
  }, function (item) {
    return item.value.toLowerCase() === searchTerm;
  }, function (item) {
    return item.label.toLowerCase().startsWith(searchTerm);
  }, function (item) {
    return item.label.toLowerCase().endsWith(searchTerm);
  }]); // fuzzy search? https://fusejs.io/

  return options;
};

var _default = filterOptions;
exports.default = _default;